Bug 17589 - Improper method type in Koha::ItemType(s)
Summary: Improper method type in Koha::ItemType(s)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-08 17:14 UTC by Kyle M Hall
Modified: 2017-06-14 22:17 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17589 - Improper method type in Koha::ItemType(s) (896 bytes, patch)
2016-11-08 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-11-08 17:14:27 UTC
It looks like some merge cruft ended up in master, as the type() method was renamed to _type() to not conflict with columns of the same name.
Comment 1 Kyle M Hall 2016-11-08 17:15:28 UTC
Created attachment 57341 [details] [review]
Bug 17589 - Improper method type in Koha::ItemType(s)

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 2 Kyle M Hall 2016-11-08 17:16:42 UTC
Pushed to master for 16.11, simple fix with Jonathan's blessing ; )
Comment 3 Mason James 2016-12-14 10:16:55 UTC
Pushed to 16.05.x, for 16.05.06 release